import { ChartAxis } from "./ChartAxis";
import { ChartOptions } from "./ChartOptions";
import { ChartSerie } from "./ChartSerie";
import { IChartRenderingStrategy } from "./ChartStrategies";
export declare class ChartContext {
  private strategy;
  constructor(strategy: IChartRenderingStrategy);
  setStrategy(strategy: IChartRenderingStrategy): void;
  render(container: HTMLElement, series: ChartSerie | Array<ChartSerie>, xAxis?: ChartAxis | Array<ChartAxis>, yAxis?: ChartAxis | Array<ChartAxis>, options?: ChartOptions): void;
  destroy(): void;
}
